Bug 1563641 - Improve example database APBs so the persisted storage plan(s) allows specifying minimum size of PVC to create
Summary: Improve example database APBs so the persisted storage plan(s) allows specify...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.10.0
Assignee: David Zager
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 11:33 UTC by John Matthews
Modified: 2018-07-30 19:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-07-30 19:11:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:12:03 UTC
Red Hat Bugzilla 1558423 None ASSIGNED [DOCS] The dynamic PV is a needed for deploying APB. 2018-12-16 09:10:32 UTC

Internal Links: 1558423

Description John Matthews 2018-04-04 11:33:01 UTC
Description of problem:

This BZ is intended to track work to make the following changes:
 - Expose the ability to change the size of the PVC created in the parameters for the persisted plans.
 - Reduce the default PVC size of the plans to 1Gi, make this consistent on all examples



Below is a snapshot of what we are using as of date of this BZ:

https://github.com/ansibleplaybookbundle/mysql-apb/blob/master/roles/rhscl-mysql-apb-openshift/defaults/main.yml#L6
  10Gi

https://github.com/ansibleplaybookbundle/mariadb-apb/blob/master/roles/rhscl-mariadb-apb-openshift/defaults/main.yml#L6
  10Gi

https://github.com/ansibleplaybookbundle/postgresql-apb/blob/master/roles/rhscl-postgresql-apb/defaults/main.yml#L3
  1Gi

https://github.com/ansibleplaybookbundle/mediawiki-apb/blob/master/roles/mediawiki/defaults/main.yml#L4
  1Gi


Version-Release number of selected component (if applicable):

3.9.0

Comment 2 Jian Zhang 2018-04-26 07:22:17 UTC
David,

I find the above PRs have been merged in the release "postgresql-apb-role-1.2.2-1 ", but the current release for 3.10 is "0.16.0.1", how do they correspond?

[root@host-172-16-120-36 ~]# docker inspect registry.access.stage.redhat.com/openshift3/postgresql-apb:v3.10 --format "{{ index .Config.Labels.release}}"
0.16.0.1

And, could help push the latest APB images into the "registry.access.stage.redhat.com"?

Change status to "MODIFIED" since the corresponding images not ready.

Comment 3 David Zager 2018-04-26 12:39:47 UTC
The "release" label refers to the release of the image whereas postgresql-apb-role-1.2.2-1 is the RPM version. You could verify with something like:

# docker run -it --entrypoint /bin/rpm brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/openshift3/mariadb-apb:v3.10.0-0.29.0.1 -qa mariadb-apb-role
mariadb-apb-role-1.2.2-1.el7.noarch

# docker run -it --entrypoint /bin/rpm brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/openshift3/mediawiki-apb:v3.10.0-0.29.0.1 -qa mediawiki-apb-role
mediawiki-apb-role-1.2.2-1.el7.noarch

# docker run -it --entrypoint /bin/rpm brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/openshift3/mysql-apb:v3.10.0-0.29.0.1 -qa mysql-apb-role
mysql-apb-role-1.2.2-1.el7.noarch

# docker run -it --entrypoint /bin/rpm brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/openshift3/postgresql-apb:v3.10.0-0.29.0.1 -qa postgresql-apb-role
postgresql-apb-role-1.2.2-1.el7.noarch


My understanding was that the necessary step for us to make these images available to you (if not via puddle) was to add the builds to the errata and move it to ON_QE. https://errata.devel.redhat.com/advisory/33505 Moved to ON_QE with the following builds.

openshift-enterprise-apb-base-docker-v3.10.0-0.29.0.1
openshift-enterprise-apb-tools-v3.10.0-0.16.0.3
openshift-enterprise-asb-docker-v3.10.0-0.29.0.1
openshift-enterprise-mariadb-apb-v3.10.0-0.29.0.1
openshift-enterprise-mediawiki-apb-v3.10.0-0.29.0.1
openshift-enterprise-mysql-apb-v3.10.0-0.29.0.1
openshift-enterprise-postgresql-apb-v3.10.0-0.29.0.1

Is there more that needs to be done?

Comment 4 Jian Zhang 2018-04-27 06:38:12 UTC
David,

No, thanks a lot! I haved push these images into "access.stage.redhat.com". But, unfortunately, we encounter bug 1572449.

Comment 5 Jian Zhang 2018-05-04 09:21:50 UTC
We can see the default size of the volume of these APBs is "1Gi", and other choices are "5Gi", "10Gi". LGTM, thanks!

Comment 7 errata-xmlrpc 2018-07-30 19:11:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.